#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 2 ] ; then
    echo 'Call ./<script> <work dir> <GTFS file path>'
    exit 1
fi
#
WORK_DIR=$1
echo "WORK_DIR: $WORK_DIR"
dloadDir=${WORK_DIR}/gtfs-validator
echo "dloadDir: $dloadDir"
rm -r $dloadDir
mkdir -p $dloadDir
logFile=${dloadDir}/wget-log.txt
echo "logFile: $logFile"
dloadFile=${dloadDir}/gtfs-validator.jar
echo "dloadFile: $dloadFile"
dloadUrl=https://github.com/MobilityData/gtfs-validator/releases/download/v4.1.0/gtfs-validator-4.1.0-cli.jar
echo "dloadUrl: $dloadUrl"
wget -o $logFile -O $dloadFile $dloadUrl
#
gtfsFile=$2
echo "gtfsFile: $gtfsFile"
#
vtorLogFile=${dloadDir}/gtfs-validator-log.txt
# name of the output directory that will be created
vtorOutputDir=${dloadDir}/report-$(date +"%Y%m%d-%I%M")
echo "vtorOutputDir: $vtorOutputDir"
java -Xmx24G -jar $dloadFile -c de -p -n -i $gtfsFile -o $vtorOutputDir 2>&1 > $vtorLogFile
#
echo "Done."
