#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 2 ] ; then
    echo 'Call ./<script> <work dir> <GTFS file path>'
    exit 1
fi
#
WORK_DIR=$1
#echo "WORK_DIR: $WORK_DIR"
dloadDir=${WORK_DIR}/gtfsvtor
#echo "dloadDir: $dloadDir"
rm -r $dloadDir
mkdir -p $dloadDir
logFile=${dloadDir}/wget-log.txt
#echo "logFile: $logFile"
dloadFile=${dloadDir}/gtfsvtor.zip
#echo "dloadFile: $dloadFile"
dloadUrl=https://github.com/mecatran/gtfsvtor/releases/download/v1.0.2/gtfsvtor.zip
#echo "dloadUrl: $dloadUrl"
wget -o $logFile -O $dloadFile $dloadUrl
#
unzipDir=${dloadDir}/unzip
#echo "unzipDir: $unzipDir"
mkdir -p $unzipDir
unzip -qq -d $unzipDir $dloadFile
#
gtfsFile=$2
#echo "gtfsFile: $gtfsFile"
# name of the output directory that will be created
vtorOutputDir=${WORK_DIR}/gtfsvtor-report-$(date +"%Y%m%d")
#echo "vtorOutputDir: $vtorOutputDir"
mkdir -p $vtorOutputDir
GTFSVTOR_OPTS=-Xmx7G /tmp/gtfsvtor/unzip/gtfsvtor/bin/gtfsvtor --jsonAppend -o ${vtorOutputDir}/report.html --jsonOutput ${vtorOutputDir}/report.json ${gtfsFile}
#
echo "Done."
